xserver-xorg-video-intel (2:2.99.917+git20210115-1) unstable; urgency=medium

  * New upstream snapshot.
  * Build against xserver 21.1.
  * rules: Disable building with lto.
  * control: Bump debhelper-compat to 13, policy to 4.6.0.
  * Update README.source for salsa.
  * watch: Update upstream git url.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Feb 2022 12:51:46 +0200

xserver-xorg-video-intel (2:2.99.917+git20200714-2) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Fix typos in description. (LP: #1653828)

  [ Julien Cristau ]
  * Fix SIGILL crash on non-SSE2 CPUs (closes: #979276)

 -- Julien Cristau <jcristau@debian.org>  Wed, 26 Jan 2022 17:40:32 +0100

xserver-xorg-video-intel (2:2.99.917+git20200714-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #959400)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Jul 2020 21:38:13 +0300

xserver-xorg-video-intel (2:2.99.917+git20200226-1) unstable; urgency=medium

  * New upstream snapshot.
  * control: Use debhelper-compat, bump to 12.
  * control: Migrate to x11proto-dev.
  * control: Bump build-dep on libxvmc-dev.
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Tue, 14 Apr 2020 19:29:19 +0300

xserver-xorg-video-intel (2:2.99.917+git20190815-1) unstable; urgency=medium

  * New upstream snapshot.
  * control: Fix a typo in the description. (Closes: #934776)
  * 01_Fix-build-on-i686.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Aug 2019 13:32:33 +0300

xserver-xorg-video-intel (2:2.99.917+git20180925-2) unstable; urgency=medium

  * Add 01_Fix-build-on-i686.diff, fixes FTBFS on i386 with gcc-8
    (Closes: #909860).

 -- Andreas Boll <aboll@debian.org>  Tue, 09 Oct 2018 17:42:33 +0200

xserver-xorg-video-intel (2:2.99.917+git20180925-1) unstable; urgency=medium

  * New upstream snapshot
  * Switch to dbgsym package.
  * control: Update VCS urls.
  * rules: Fix destdir, use dh_missing.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 25 Sep 2018 15:28:52 +0300

xserver-xorg-video-intel (2:2.99.917+git20171229-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Jan 2018 10:13:50 +0200

xserver-xorg-video-intel (2:2.99.917+git20161206-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream snapshot.
    - sna: Add missing NULL check for readdir result in
      has_connector_backlight (Closes: #847073).  Thanks to James Clarke for
      tracking this down.
  * Bump debhelper compat to 10.
  * Stop passing --disable-silent-rules to configure, debhelper does
    that for a while.
  * debhelper installs to debian/tmp by default, no need to specify it.
  * Update a bunch of URLs in packaging to https.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 14 Dec 2016 11:33:01 +0200

xserver-xorg-video-intel (2:2.99.917+git20161105-1) unstable; urgency=medium

  * New upstream snapshot.
  * control: Bump policy to 3.9.8, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Nov 2016 12:44:07 +0200

xserver-xorg-video-intel (2:2.99.917+git20160706-1) unstable; urgency=medium

  * New upstream snapshot.
  * fix-fd-leak-when-intel-scrn-create-fails.diff, sna-let-modesetting-
    handle-gen9+.diff: Dropped as the fallback to modesetting will be
    fully handled in the xserver.
  * .docs: Include a minimal xorg.conf.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 06 Jul 2016 22:34:40 +0300

xserver-xorg-video-intel (2:2.99.917+git20160522-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #823116)
  * fix-fd-leak-when-intel-scrn-create-fails.diff: Fix a failure falling back
    on another driver when scrn create fails.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 24 May 2016 11:40:02 +0300

xserver-xorg-video-intel (2:2.99.917+git20160325-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 29 Mar 2016 10:29:35 +0300

xserver-xorg-video-intel (2:2.99.917+git20160307-2) unstable; urgency=medium

  * Disable the patch to use modesetting on skylake for now, since it reveals
    modeset/server bugs. (Closes: #817784)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Mar 2016 22:16:19 +0200

xserver-xorg-video-intel (2:2.99.917+git20160307-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream snapshot.
  * control: Update the description, older hw likely still wants this
    driver.
  * sna-let-modesetting-handle-gen9+.diff: Use modesetting+glamor on
    Skylake and up.

  [ Matthias Klose ]
  * Move the shared libraries into multiarch libdir.
  * rules: Enable parallel builds.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Mar 2016 21:26:17 +0200

xserver-xorg-video-intel (2:2.99.917+git20160218-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 19 Feb 2016 00:06:43 +0200

xserver-xorg-video-intel (2:2.99.917+git20160127-1) unstable; urgency=medium

  * New upstream snapshot.
  * control: Document build-depends for dri3info and tests, benchmarks.
  * control: Update description to mention that this driver is
    deprecated in favor of -modesetting.
  * rules: Use upstream-unstable branch to build a snapshot tarball.
  * control: Add libxss-dev to build-depends for intel-virtual-output.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 27 Jan 2016 14:56:38 +0200

xserver-xorg-video-intel (2:2.99.917+git20151217-1~exp1) experimental; urgency=medium

  * New upstream snapshot.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Dec 2015 15:10:01 +0200

xserver-xorg-video-intel (2:2.99.917+git20151019-1~exp1) experimental; urgency=medium

  * New upstream snapshot.
  * rules: Fix valgrind-enabling check.
  * README.source: Mention that dpkg-source complains about symlinks
    which are real files on the tarball, and add a command to clean
    those before source build (copied from libdrm).
  * patches: Dropped, all upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 27 Oct 2015 19:07:45 +0200

xserver-xorg-video-intel (2:2.99.917-2) unstable; urgency=medium

  [ Robert Ancell ]
  * debian/patches/fix-sna-fstat-include.patch:
  * debian/patches/fix-uxa-fstat-include.patch:
    - Fix missing include for fstat (Closes: #790911)

  [ Alessio Treglia ]
  * fix-yuv-to-rgb-shared-on-intel-gen8.patch: Fix faulty yuv2rgb translation
    on Intel Generation 8 Graphics. (LP: #1449892, Closes: #787142)

  [ Timo Aaltonen ]
  * rules: Fix valgrind-enabling check.
  * source: Add extend-diff-ignore to not complain about symlinks.
  * README.source: Mention that dpkg-source complains about symlinks
    which are real files on the tarball, and add a command to clean
    those before source build (copied from libdrm).

  [ Adam Borowski ]
  * Add x32 to the list of architectures. (Closes: #775200)

  [ Vincent Cheng ]
  * Explicitly declare source format 1.0.
  * Update valgrind build-dependency architecture list.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 16 Jul 2015 01:00:41 -0700

xserver-xorg-video-intel (2:2.99.917-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #748753)

 -- Vincent Cheng <vcheng@debian.org>  Thu, 07 May 2015 00:46:06 -0700

xserver-xorg-video-intel (2:2.99.917-1~exp1) experimental; urgency=medium

  * New upstream prerelease 2.99.917.
  * Update upstream changelog.
  * Update to Standards version 3.9.6.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 21 Dec 2014 21:37:27 -0800

xserver-xorg-video-intel (2:2.99.916+git20141119-1~exp1) experimental; urgency=medium

  * New upstream snapshot.

 -- maximilian attems <maks@debian.org>  Sun, 23 Nov 2014 00:04:02 +0100

xserver-xorg-video-intel (2:2.99.916-1~exp1) experimental; urgency=medium

  [ Vincent Cheng ]
  * New upstream prerelease 2.99.916.
    - sna: Add the current CRTC mode last (Closes: #750605)
  * Update debian/copyright. (Closes: #730643)
  * Revert to source format 1.0.

  [ Laurent Bigonville ]
  * debian/xserver-xorg-video-intel.maintscript: Explicitly remove
    i915-kms.conf on upgrade. (Closes: #713340)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 14 Sep 2014 01:29:56 -0700

xserver-xorg-video-intel (2:2.99.914-1~exp1) experimental; urgency=medium

  * New upstream prerelease 2.99.914.
  * Update upstream changelog.
  * Fix FTBFS on kfreebsd by not installing non-existent files.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 23 Jul 2014 22:49:08 -0700

xserver-xorg-video-intel (2:2.99.912+git20140719-1~exp1) experimental; urgency=medium

  * New upstream snapshot.

 -- maximilian attems <maks@debian.org>  Sat, 19 Jul 2014 14:18:15 +0200

xserver-xorg-video-intel (2:2.99.912+git20140705-1~exp1) experimental; urgency=medium

  * New upstream snapshot.

  [ Julien Cristau ]
  * Remove Cyril from Uploaders.

 -- maximilian attems <maks@debian.org>  Sat, 05 Jul 2014 20:47:01 +0200

xserver-xorg-video-intel (2:2.99.912-1~exp1) experimental; urgency=medium

  * New upstream prerelease 2.99.912.
  * Update upstream changelog.

 -- maximilian attems <maks@debian.org>  Tue, 10 Jun 2014 21:59:57 +0200

xserver-xorg-video-intel (2:2.99.911+git20140607-1~exp1) experimental; urgency=medium

  * New upstream prerelease.

 -- maximilian attems <maks@debian.org>  Sat, 07 Jun 2014 10:33:52 +0200

xserver-xorg-video-intel (2:2.99.911+git20140529-1~exp2) experimental; urgency=medium

  * Add myself to Uploaders.
  * Install intel-virtual-output. (Closes: #749925)
    - New build-deps added: libxinerama-dev, libxrandr-dev, libxdamage-dev,
      libxcursor-dev, libxtst-dev, libxrender-dev, libpixman-1-dev
  * Stop overriding default upstream acceleration method (i.e. default to SNA
    instead of UXA).

 -- Vincent Cheng <vcheng@debian.org>  Mon, 02 Jun 2014 23:47:23 -0700

xserver-xorg-video-intel (2:2.99.911+git20140529-1~exp1) experimental; urgency=low

  * New upstream prerelease. (closes: #748753)
  * Install new backlight helper.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.5 (no changes necessary)

 -- maximilian attems <maks@debian.org>  Fri, 30 May 2014 11:15:58 +0200

xserver-xorg-video-intel (2:2.21.15-1) unstable; urgency=low

  * New upstream release.
  * Drop patches Check-for-struct-sysinfo-as-well-as-sys-sysinfo.h.patch and
    Link-the-driver-against-pixman.patch, they were applied upstream.
  * Add myself to Uploaders to prevent lintian NMU warnings
  * Bump Standards-Version to 3.9.4 (no changes necessary)
  * Canonicalize Vcs-* fields
  * Explicitly set source format to '3.0 (quilt)'
  * Move homepage from description to homepage: field

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 28 Aug 2013 19:39:47 +0200

xserver-xorg-video-intel (2:2.21.14-4) unstable; urgency=low

  * Link the driver against pixman to get correct dependency (closes: #719518).
    Thanks to Martin Perazzo for the report!

 -- Julien Cristau <jcristau@debian.org>  Mon, 12 Aug 2013 19:48:43 +0200

xserver-xorg-video-intel (2:2.21.14-3) unstable; urgency=low

  * Add patch to deal with missing 'struct sysinfo' in kfreebsd's
    <sys/sysinfo.h>.

 -- Julien Cristau <jcristau@debian.org>  Mon, 12 Aug 2013 15:31:14 +0200

xserver-xorg-video-intel (2:2.21.14-2) unstable; urgency=low

  * Don't enable valgrind on kfreebsd.

 -- Julien Cristau <jcristau@debian.org>  Mon, 12 Aug 2013 10:09:25 +0200

xserver-xorg-video-intel (2:2.21.14-1) unstable; urgency=low

  * New upstream release (closes: #697336).

  [ Maarten Lankhorst ]
  * Add valgrind to build-depends.
  * Enable valgrind by default.

  [ Sven Joachim ]
  * Drop patch 0002-Update-manpage-for-new-accelmethod-option.patch,
    superseded by upstream changes.
  * Use dpkg-buildflags.
  * Disable silent build rules.

  [ Julien Cristau ]
  * Add kfreebsd to the package's architecture list (closes: #671870).

 -- Julien Cristau <jcristau@debian.org>  Mon, 12 Aug 2013 08:12:23 +0200

xserver-xorg-video-intel (2:2.20.14-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * New upstream bugfix release.
    - Fixes a long-standing bug in UXA pageflip code that was the
      source of many GPU hangs.

 -- Julien Cristau <jcristau@debian.org>  Sun, 02 Dec 2012 19:18:05 +0100

xserver-xorg-video-intel (2:2.20.5-1) experimental; urgency=low

  * New upstream release.
    - Remove patch to support passing a builder string, merged upstream
      0001-Fix-build-failure-when-passing-with-builderstring.patch

 -- Julien Danjou <acid@debian.org>  Sun, 26 Aug 2012 14:25:55 +0200

xserver-xorg-video-intel (2:2.20.2-1) experimental; urgency=low

  [ Maarten Lankhorst ]
  * New upstream release:
    - First official release with sna
  * Update to 2.20.1 point release:
    - A bug affecting gen4 handling of trapezoids was fixed, and CPU
      overhead reduced.
      https://bugs.freedesktop.org/show_bug.cgi?id=52158
    - A fix for a bug causing corruption of a DRI2 unredirected client
      window that was resized whilst under a compositor.
    - Support for snoopable buffers on non-LLC architectures, coming to
      a future kernel. The aim to accelerate transfers between the CPU
      and the GPU, in particular to dramatically improve readback
      performance, and to further minimise clflushes.
    - Improvement to the composite performance on GT2 SandyBridge and
      IvyBridge devices, in particular the render copy is significantly
      improved.
    - Improved handling for when acceleration is disabled, including
      permitting DRI2 to remain supported even if the X server believes
      the GPU wedged.
    - Shadow support was dropped from UXA as it was neither complete nor
      correct, use SNA instead.

  [ Julien Danjou ]
  * New upstream release (2.20.2)

 -- Julien Danjou <acid@debian.org>  Sun, 29 Jul 2012 00:06:11 +0200

xserver-xorg-video-intel (2:2.19.0-6) unstable; urgency=low

  * Stop installing i915-kms.conf.  It's not necessary with the wheezy kernel.
    Keep it around on upgrade, though, to allow booting on the squeeze kernel.

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Sep 2012 20:46:52 +0200

xserver-xorg-video-intel (2:2.19.0-5) unstable; urgency=high

  * Reduce maximum thread count for IVB GT1 to avoid spontaneous combustion

 -- Julien Cristau <jcristau@debian.org>  Fri, 27 Jul 2012 10:54:27 +0200

xserver-xorg-video-intel (2:2.19.0-4) unstable; urgency=medium

  [ Julien Cristau ]
  * uxa: Check for DPMS off before scheduling a WAIT_ON_EVENT.  Fixes
    regression from a cherry-pick in 2:2.19.0-2 (Closes: #677466).
    Thanks to Julian Andres Klode for tracking this down.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 23 Jun 2012 21:06:26 +0200

xserver-xorg-video-intel (2:2.19.0-3) unstable; urgency=low

  * Add patch to avoid X segfaults with Driver-less Device sections in
    xorg.conf (Closes: #677206):
    - 0003-Avoid-calling-xf86nameCompare-with-a-NULL-pointer.patch

 -- Cyril Brulebois <kibi@debian.org>  Tue, 12 Jun 2012 20:30:51 +0200

xserver-xorg-video-intel (2:2.19.0-2) unstable; urgency=low

  * Cherry-pick the following commits to make it possible to build both
    uxa (legacy acceleration method) and sna (experimental acceleration
    method):
    - 3f3bde4f0c uxa: Only consider an output valid if the kernel reports it attached
    - df6ab02c36 Unify options handling between UXA and SNA
    - e456291350 Allow runtime switching of AccelMethod between uxa/sna and even glamor
    - 318982566b sna/dri: Disable experimental code by default
    - 7614a54188 configure: Harden --with-default-accel against simple mistakes
    - 4e984b79cc configure: Correct the help string for --with-default-accel
  * rules: Enable sna and uxa accel methods, default to uxa. The switch
    to sna can be achieved through a minimal xorg.conf (look for “AccelMethod”
    in: man intel).
  * Add patch to document the new AccelMethod option accordingly:
    - 0002-Update-manpage-for-new-accelmethod-option.patch

 -- Cyril Brulebois <kibi@debian.org>  Mon, 11 Jun 2012 22:22:00 +0000

xserver-xorg-video-intel (2:2.19.0-1) unstable; urgency=low

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Sat, 26 May 2012 12:38:07 +0200

xserver-xorg-video-intel (2:2.18.0-2) unstable; urgency=low

  * Cherry-pick a change from upstream to fix a bug triggered by cairo 1.12:
    uxa: Remove broken render glyphs-to-dst

 -- Julien Cristau <jcristau@debian.org>  Thu, 05 Apr 2012 20:24:22 +0200

xserver-xorg-video-intel (2:2.18.0-1+exp1) experimental; urgency=low

  * Enable SNA again, in experimental.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 24 Feb 2012 14:19:00 +0100

xserver-xorg-video-intel (2:2.18.0-1) unstable; urgency=low

  * New upstream release.
  * No SNA for unstable, it's too fast of a moving target for now.
  * Since we're building for unstable, let's go back to the previous
    xorg-server build-dep.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 24 Feb 2012 14:16:47 +0100

xserver-xorg-video-intel (2:2.17.0+git20120204-1) experimental; urgency=low

  * New upstream snapshot:
    - Merge from upstream master up to 24ece4a87e.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 04 Feb 2012 09:20:13 +0100

xserver-xorg-video-intel (2:2.17.0+git20120115-1) experimental; urgency=low

  * New upstream snapshot:
    - Merge from upstream master up to 5df7147b09.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 16 Jan 2012 00:52:23 +0100

xserver-xorg-video-intel (2:2.17.0+git20120104-1) experimental; urgency=low

  * New upstream snapshot:
    - Merge from upstream master up to 4119e68fb1.
  * Implement a generate-snapshot rule to ease packaging snapshots.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 04 Jan 2012 22:19:19 +0100

xserver-xorg-video-intel (2:2.17.0+git20120101-2) experimental; urgency=low

  * Build against Xserver 1.12 RC1 (Closes: #653914).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 01 Jan 2012 14:58:27 +0100

xserver-xorg-video-intel (2:2.17.0+git20120101-1) experimental; urgency=low

  * New upstream snapshot:
    - Merge from upstream master up to 770a953ff0.
  * Enable SNA support, as suggested by upstream. It should be usable now
    and regression reports are welcome.
  * Add patch to support passing a builder string:
    - 0001-Fix-build-failure-when-passing-with-builderstring.patch
  * Pass a builder string, as done in the server.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 01 Jan 2012 06:34:09 +0100

xserver-xorg-video-intel (2:2.17.0-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * New upstream release. (Closes: #635953)

 -- Cyril Brulebois <kibi@debian.org>  Sat, 19 Nov 2011 12:46:57 +0100

xserver-xorg-video-intel (2:2.16.0-1) unstable; urgency=low

  * New upstream release.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 28 Aug 2011 13:15:24 +0200

xserver-xorg-video-intel (2:2.15.901-1) experimental; urgency=low

  * Re-enable XvMC.
  * New upstream snapshot.
  * Build against xserver 1.10.99.x.

 -- Julien Cristau <jcristau@debian.org>  Mon, 01 Aug 2011 01:37:49 +0200

xserver-xorg-video-intel (2:2.15.0-3) unstable; urgency=high

  * Temporarily disable xvmc to sidestep the xcb-util mess and move to
    testing.

 -- Julien Cristau <jcristau@debian.org>  Sat, 14 May 2011 19:00:38 +0200

xserver-xorg-video-intel (2:2.15.0-2) unstable; urgency=low

  * xcb-util was split up in 0.3.8 and libxcb-aux has been merged
    into libxcb-util, thus update Build-Depends accordingly.
  * Add ${misc:Depends} to xserver-xorg-video-intel-dbg Depends.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 06 May 2011 23:53:39 +0900

xserver-xorg-video-intel (2:2.15.0-1) unstable; urgency=low

  * New upstream release.
  * Merge from upstream master up to c9fb69cb25 to fix crashes with i965
    and kwin in particular, thanks to Julian Andres Klode and Modestas
    Vainius for their reports in Debian and upstream (Closes: #622653):
    - NEWS: typo.
    - intel: Beware the unsigned promotion when checking for batch overflows
    - i965/video: We need 150 dwords of space for video state emission

 -- Cyril Brulebois <kibi@debian.org>  Tue, 19 Apr 2011 03:37:23 +0200

xserver-xorg-video-intel (2:2.14.902-1) unstable; urgency=low

  * New upstream snapshot (2.15 rc2).
  * Apparently, using libXvMC means adding the name of the library (like
    libI810XvMC.so.1 or libIntelXvMC.so.1) to the libXvMC configuration
    file (/etc/X11/XvMCConfig). Accordingly, remove extraneous symlinks:
    - /usr/lib/libI810XvMC.so
    - /usr/lib/libIntelXvMC.so
  * Override lintian warning about the libXvMC shared objects.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 10 Apr 2011 23:30:19 +0200

xserver-xorg-video-intel (2:2.14.0-4) unstable; urgency=low

  * Cherry-pick from upstream:
    - uxa: Fallback if the temporary is too large
  * This fixes a null pointer dereference with some rendering operations
    involving large pictures (Closes: #613830). Thanks, Enrico!

 -- Cyril Brulebois <kibi@debian.org>  Fri, 18 Feb 2011 12:44:23 +0100

xserver-xorg-video-intel (2:2.14.0-3) unstable; urgency=low

  * Switch to dh:
    - Use debhelper 8.
    - Use dh-autoreconf.
    - Bump xserver-xorg-dev build-dep for dh_xsf_substvars and xsf
      debhelper sequence.
    - Specify usr/share/man in .install, remove .manpages accordingly.
    - Specify NEWS and README in .docs file.
  * Get rid of maintainer scripts, since they were only used to handle
    switching between versions with or without KMS. Starting with squeeze,
    KMS is mandatory, so stop worrying about that.
  * Remove xsfbs accordingly.
  * Remove leftovers:
    - NEWS file is outdated, UMS is no longer available, and that's
      covered by README.Debian
    - The .install.hurd-i386 file is no longer relevant, this package is
      now Linux-only.
  * Update Uploaders list. Thanks, David & Brice!
  * Remove long obsolete Replaces.
  * Wrap Depends/Provides/Recommends.
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Feb 2011 14:47:04 +0100

xserver-xorg-video-intel (2:2.14.0-2) experimental; urgency=low

  * Cherry-pick from upstream to fix many rendering issues
    (https://bugs.freedesktop.org/show_bug.cgi?id=33650):
    - uxa: Undo damage translation before appending

 -- Cyril Brulebois <kibi@debian.org>  Fri, 04 Feb 2011 15:37:47 +0100

xserver-xorg-video-intel (2:2.14.0-1) experimental; urgency=low

  * New upstream release.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 08 Jan 2011 18:10:23 +0100

xserver-xorg-video-intel (2:2.13.903-1) experimental; urgency=low

  [ Robert Hooker ]
  * Add libudev-dev to the build deps for monitor hotplug detection
    events.

  [ Cyril Brulebois ]
  * New upstream release candidate.
  * Bump libdrm-dev build-dep.
  * Drop libdrm-from-sid-is-ok.diff accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 04 Jan 2011 15:43:17 +0100

xserver-xorg-video-intel (2:2.13.901-2) experimental; urgency=low

  * Build against Xserver 1.9.1 rc1.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 09 Nov 2010 15:53:43 +0100

xserver-xorg-video-intel (2:2.13.901-1) experimental; urgency=low

  * New upstream release candidate.
  * Bump build-dep on libdrm-dev: 2.4.22-2 contains some cherry-picked
    changes to allow this release candidate to build and run.
  * Drop patch: i8xx-shadow.diff

 -- Cyril Brulebois <kibi@debian.org>  Tue, 09 Nov 2010 14:54:21 +0100

xserver-xorg-video-intel (2:2.13.0-2) unstable; urgency=low

  [ Cyril Brulebois ]
  * Merge from experimental.
  * Lower build-dep on libdrm-dev from 2.4.22 to 2.4.21-1~squeeze3 since
    the latter contains the needed bits, making it possible to build
    within unstable.
  * Add patch to make configure.ac happy: libdrm-from-sid-is-ok.diff
  * Add README.Debian documenting the need for a kernel driver to handle
    modesetting.
  * Drop shadow-no-dri2.diff, obsoleted by upstream's 537e73f3.

  [ Julien Cristau ]
  * Update i8xx-shadow.diff.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 07 Nov 2010 19:51:56 +0100

xserver-xorg-video-intel (2:2.13.0-1) experimental; urgency=low

  [ Sven Joachim ]
  * New upstream release.
  * Bump libdrm build-dependency to 2.4.22.

  [ Cyril Brulebois ]
  * Bump xutils-dev build-dependency to 1:7.5+4 (needed for xorg macros
    1.8).
  * Picked from unstable to avoid introducing back binaries on non-Linux
    architectures: UMS is gone, this means Linux-only.
  * Add myself to Uploaders.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Oct 2010 09:51:48 +0200

xserver-xorg-video-intel (2:2.12.0+shadow-2) unstable; urgency=low

  * UMS is gone, this means Linux-only (closes: 597845).

 -- Julien Cristau <jcristau@debian.org>  Thu, 23 Sep 2010 16:40:26 +0200

xserver-xorg-video-intel (2:2.12.0+shadow-1) unstable; urgency=low

  * Revert the come-back of UMS.  Update to upstream HEAD instead.
    Closes: #594623, #594338.
  * Dropping UMS means its bugs are irrelevant, so this closes: #570766,
    #594815.
  * Bump libdrm build-dep for DRM_MODE_CONNECTOR_eDP.
  * Don't enable DRI2 if the shadow option is on.
  * Use shadowfb on i8xx by default.  Hopefully closes: #570988, #572105,
    #576848, #592586, #593293.
  * New upstream doesn't assert() when running sm (closes: #593199).

 -- Julien Cristau <jcristau@debian.org>  Mon, 20 Sep 2010 19:44:14 +0200

xserver-xorg-video-intel (2:2.12.0+legacy1-1) unstable; urgency=low

  * Merge from people.freedesktop.org/~ickle/xf86-video-intel:legacy.
    This reintroduces UMS and EXA for legacy chips, while allowing us to get
    the fixes and new hw support from 2.12.

 -- Julien Cristau <jcristau@debian.org>  Tue, 24 Aug 2010 21:33:56 +0200

xserver-xorg-video-intel (2:2.12.0-1) experimental; urgency=low

  * New upstream release.
    + Fix Xv distortion, closes: #581705.
  * Bump libdrm build-dependency to 2.4.21.

 -- Brice Goglin <bgoglin@debian.org>  Sat, 26 Jun 2010 00:26:59 +0200

xserver-xorg-video-intel (2:2.11.0-1) experimental; urgency=low

  * New upstream release.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 30 Mar 2010 07:04:52 +0200

xserver-xorg-video-intel (2:2.10.903-1) experimental; urgency=low

  * New upstream release candidate.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 23 Mar 2010 07:39:23 +0100

xserver-xorg-video-intel (2:2.10.902-1) experimental; urgency=low

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders

  [ Brice Goglin ]
  * New upstream release candidate, closes: #567829.
    + User mode-setting is not supported anymore.
  * Bump xutils-dev build dependency for new util-macros.
  * Bump libdrm build dependency to 2.4.18-3 for latest i915 drm headers.
  * Build depend on libx11-xcb-dev, libxcb-aux0-dev and libxcb-dri2-0-dev
    for XVMC.
  * Recommends intel-gpu-tools since intel_reg_dumper is not provided
    by xserver-xorg-video-intel-dbg anymore.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 16 Mar 2010 20:53:53 +0100

xserver-xorg-video-intel (2:2.9.1-4) unstable; urgency=medium

  * Update xsfbs, use new ${xviddriver:Depends} subsvar.

 -- Julien Cristau <jcristau@debian.org>  Fri, 14 May 2010 17:44:44 +0200

xserver-xorg-video-intel (2:2.9.1-3) unstable; urgency=low

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders
  * Add a NEWS.Debian entry about KMS.
  * Backport KMS video overlay from upstream 2.10 (closes: #565328).
  * Bump libdrm-dev build-dep for the above.

  [ Brice Goglin ]
  * Bump Standards-Version to 3.8.4, no changes.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 21 Mar 2010 10:25:27 +0100

xserver-xorg-video-intel (2:2.9.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Thu, 07 Jan 2010 20:53:45 +0000

xserver-xorg-video-intel (2:2.9.1-1+exp1) experimental; urgency=low

  [ Julien Cristau ]
  * Enable kernel mode setting by default on linux (closes: #555906).

  [ Brice Goglin ]
  * Build against xserver 1.7.

 -- Brice Goglin <bgoglin@debian.org>  Wed, 02 Dec 2009 15:50:17 +0100

xserver-xorg-video-intel (2:2.9.1-1) unstable; urgency=medium

  * New upstream bugfix release (closes: #508005).
    + reverts change from 2.9.0 that broke DVI detection for some people
      (closes: #548045)

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Nov 2009 16:32:29 +0100

xserver-xorg-video-intel (2:2.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 29 Sep 2009 07:16:54 +0200

xserver-xorg-video-intel (2:2.8.99.902-1) experimental; urgency=low

  * New upstream release candidate.
    + Fix crash on server regen, closes: #543326.

 -- Brice Goglin <bgoglin@debian.org>  Wed, 23 Sep 2009 01:03:49 +0200

xserver-xorg-video-intel (2:2.8.1-2) unstable; urgency=low

  * Re-enable render accel on 8xx.  The major problem turned out to be related
    to agp chipset flushing (see #541307), so hopefully this should work now.
  * Add missing xsfclean dependency to debian/rules clean.
  * Bump Standards-Version to 3.8.3 (no changes).
  * Mention intel_reg_dumper in the debug package's long description.

 -- Julien Cristau <jcristau@debian.org>  Thu, 17 Sep 2009 20:55:47 +0200

xserver-xorg-video-intel (2:2.8.1-1) unstable; urgency=low

  * New upstream release.
    + Calculate the DVO relative offset in LVDS data entry to get the
      DVO timing, closes: #538148.
    + Fix sampler indexes on i965 planar video, closes: #513427.

 -- Brice Goglin <bgoglin@debian.org>  Wed, 26 Aug 2009 09:50:15 +0200

xserver-xorg-video-intel (2:2.8.0-2) unstable; urgency=low

  [ Julien Cristau ]
  * Disable UXA render accel on i8xx chips for now.  It currently causes
    hangs, and doesn't seem likely to get fixed quickly upstream
    (closes: #527349).
  * Reenable patch system and bring back quilt build-dep.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 31 Jul 2009 22:44:13 +0200

xserver-xorg-video-intel (2:2.8.0-1) unstable; urgency=low

  * New upstream release.
    + Fixes crash at startup if KMS is not used, closes: #537052.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 21 Jul 2009 16:23:39 +0200

xserver-xorg-video-intel (2:2.7.99.902-1) experimental; urgency=low

  * New upstream release candidate.
    + Fix crash in drm_intel_gem_bo_unreference_locked, closes: #535772.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 14 Jul 2009 00:17:00 +0200

xserver-xorg-video-intel (2:2.7.99.901-2) experimental; urgency=low

  * Pull upstream fix for xvmc build.
  * Update build-depends, and reenable xvmc.

 -- Julien Cristau <jcristau@debian.org>  Thu, 11 Jun 2009 18:52:10 +0200

xserver-xorg-video-intel (2:2.7.99.901-1) experimental; urgency=low

  * New upstream release candidate.

 -- Brice Goglin <bgoglin@debian.org>  Thu, 11 Jun 2009 08:18:49 +0200

xserver-xorg-video-intel (2:2.7.99.1-2) experimental; urgency=low

  [ Julien Cristau ]
  * Pull from upstream git branch 'master', commit 8e942b70.
  * Bump libdrm-dev build-dep to 2.4.11.
  * Merge changes from 2:2.7.1-1.
  * Bump Standards-Version to 3.8.1.

  [ David Nusinow ]
  * Add README.source

 -- Julien Cristau <jcristau@debian.org>  Thu, 28 May 2009 20:10:30 +0200

xserver-xorg-video-intel (2:2.7.99.1-1) experimental; urgency=low

  * New upstream release candidate.
  * Stop installing libI810XvMC.so and libIntelXvMC.so for now. They are
    disabled in configure for now because DRI1 is not supported anymore.
  * Install the upstream NEWS file, closes: #524334, #524336.
  * Move the -dbg package to section debug.

 -- Brice Goglin <bgoglin@debian.org>  Wed, 29 Apr 2009 19:50:26 +0200

xserver-xorg-video-intel (2:2.7.1-1) unstable; urgency=low

  [ Brice Goglin ]
  * New upstream release.
  * Install the upstream NEWS file, closes: #524334, #524336.
  * Move the -dbg package to section debug.

  [ David Nusinow ]
  * Remove 01_gen_pci_ids.diff. The X server now uses an internal table to
    choose a driver during autoconfiguration.
    + Disable patch system and remove quilt from build-deps.

 -- Brice Goglin <bgoglin@debian.org>  Wed, 13 May 2009 07:14:50 +0200

xserver-xorg-video-intel (2:2.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Brice Goglin <bgoglin@debian.org>  Thu, 16 Apr 2009 07:11:09 +0200

xserver-xorg-video-intel (2:2.6.99.903-1) experimental; urgency=low

  * New upstream release candidate.
  * Bump build-dep on libdrm-dev to 2.4.6.

 -- Brice Goglin <bgoglin@debian.org>  Sat, 11 Apr 2009 22:45:57 +0200

xserver-xorg-video-intel (2:2.6.3-1) unstable; urgency=low

  * New upstream release.
  * Bump build-dep on libdrm-dev to 2.4.5.
  * Upload to unstable.
  * Cherry-pick some patches from upstream git, so this doesn't FTBFS with the
    new libdrm (closes: #523125)

 -- Julien Cristau <jcristau@debian.org>  Thu, 09 Apr 2009 10:25:22 +0100

xserver-xorg-video-intel (2:2.6.1-1) experimental; urgency=low

  * New upstream release.
  * Build against xserver 1.6 rc1.

 -- Julien Cristau <jcristau@debian.org>  Thu, 22 Jan 2009 00:18:25 +0100

xserver-xorg-video-intel (2:2.6.0-1) experimental; urgency=low

  * New upstream release.

 -- Brice Goglin <bgoglin@debian.org>  Thu, 15 Jan 2009 10:54:17 +0100

xserver-xorg-video-intel (2:2.5.99.2-1) experimental; urgency=low

  * New upstream release.
    + doesn't crash on EnterVT with libdrm 2.4.3 (closes: #511263)
  * Update libdrm-dev build-dep to 2.4.3.

 -- Julien Cristau <jcristau@debian.org>  Wed, 14 Jan 2009 08:08:20 +0100

xserver-xorg-video-intel (2:2.5.1-1) experimental; urgency=low

  * New upstream release.
  * Wrap build-deps in debian/control.
  * Build depend on libdrm-dev on all archs, since it's now required, and bump
    the build dep to 2.4.1.

 -- Julien Cristau <jcristau@debian.org>  Sun, 23 Nov 2008 17:02:31 +0100

xserver-xorg-video-intel (2:2.4.2-1) experimental; urgency=low

  * Drop the xserver-xorg-video-i810 transitional package.
  * Build against xorg-server 1.5.
  * New upstream release (no changes from the previous snapshot other than the
    version number).

 -- Julien Cristau <jcristau@debian.org>  Thu, 04 Sep 2008 02:49:59 +0200

xserver-xorg-video-intel (2:2.4.1-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.

  [ Julien Cristau ]
  * Pull from 2.4-branch HEAD as of August 24th.

 -- Julien Cristau <jcristau@debian.org>  Sun, 24 Aug 2008 18:28:32 +0200

xserver-xorg-video-intel (2:2.4.0-1) experimental; urgency=low

  * New upstream release.
  * Refresh patch 01_gen_pci_ids.diff.
  * Don't handle the nostrip build option in debian/rules, dh_strip does that;
    allow the parallel=n option.
  * Run autoreconf at build-time; build-depend on automake, libtool and
    xutils-dev.
  * Drop the debian revision from the libxvmc-dev build-dep.

 -- Julien Cristau <jcristau@debian.org>  Sun, 27 Jul 2008 13:18:42 +0200

xserver-xorg-video-intel (2:2.3.2-3) experimental; urgency=low

  * Build against xserver 1.5 rc5.

 -- Julien Cristau <jcristau@debian.org>  Mon, 14 Jul 2008 01:26:43 +0200

xserver-xorg-video-intel (2:2.3.2-2+lenny1) unstable; urgency=low

  * Cherry-pick patches from the 2.4.0 release:
    - Add support for Intel 4 series chipsets
    - add some quirks to force enable pipe A on some machines: in particular,
      all 855GM (closes: #482819), and Lenovo T60 (closes: #487672)
    - i810: Remove an effectively unused variable (only used in an incorrect
      free())
    - Give asus and eeepc backlight method higher priority
    - Don't use the phase shift bits on GM45
    - Fix official name for GM45 chipset
    - Improve FBC size checking
    - Only initialize integrated TV encoder for mobile chips
    - Add no LVDS quirk for Transtec Senyo 610 mini PC
    - Thinkpad R60e TV quirk via DMI info
  * Fix debian/rules build/patch dependencies.

 -- Julien Cristau <jcristau@debian.org>  Sun, 27 Jul 2008 11:44:09 +0200

xserver-xorg-video-intel (2:2.3.2-2) unstable; urgency=high

  * High urgency upload for RC bug fix.
  * Update debian/copyright, thanks to Thomas Viehmann for reporting, and
    Moritz Muehlenhoff for the thorough analysis (closes: #486340).
  * Change the libdrm memory manager check in configure to look for 2.4.0
    instead of 2.3.1, as libdrm 2.3.1 was released without it.

 -- Julien Cristau <jcristau@debian.org>  Thu, 03 Jul 2008 16:55:05 +0200

xserver-xorg-video-intel (2:2.3.2-1) unstable; urgency=low

  * New upstream release.
    + Revert "Add FIFO watermark regs to register dumper",
      closes: #482369, #471413.
    + Fix TV programming:  add vblank wait after TV_CTL writes,
      closes: #485616.

 -- Brice Goglin <bgoglin@debian.org>  Wed, 18 Jun 2008 07:16:05 +0200

xserver-xorg-video-intel (2:2.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Brice Goglin <bgoglin@debian.org>  Mon, 12 May 2008 03:55:45 +0200

xserver-xorg-video-intel (2:2.3.0-1) experimental; urgency=low

  * Build-depend on dpkg-dev >= 1.14.17 for dpkg-shlibdeps --warnings.
  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Wed, 23 Apr 2008 17:53:26 +0200

xserver-xorg-video-intel (2:2.2.99.903-1) experimental; urgency=low

  * New upstream release candidate.
    + Fix LVDS regression: disable panel fitting on 855GM,
      and fix dither setting, closes: #473838.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 15 Apr 2008 15:04:32 +0200

xserver-xorg-video-intel (2:2.2.99.902-1) experimental; urgency=low

  * New upstream release candidate.
    + Disable DRI earlier if fb width > 2048, closes: #465421, #452357. 

 -- Brice Goglin <bgoglin@debian.org>  Mon, 31 Mar 2008 08:46:32 +0200

xserver-xorg-video-intel (2:2.2.99.901-2) experimental; urgency=low

  * Install libIntelXvMC.so.

 -- Brice Goglin <bgoglin@debian.org>  Sat, 29 Mar 2008 12:15:14 +0100

xserver-xorg-video-intel (2:2.2.99.901-1) experimental; urgency=low

  [ Julien Cristau ]
  * Add the ${shlibs:Depends} substvar to the -dbg package's dependencies, to
    bring in libpciaccess0 (closes: #467215).
  * Only build on x86, this package doesn't make sense anywhere else.
  * The Vcs-* fields are now recognized by dpkg, so drop the XS- prefix.
  * Bump Standards-Version to 3.7.3 (no changes).

  [ Brice Goglin ]
  * New upstream release.
    + Fix pciaccess version check, closes: #470266.
    + Fix crash on VT switch, closes: #469113.
    + Fix video playback on rotated display, closes: #432157.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 21 Mar 2008 21:50:59 +0100

xserver-xorg-video-intel (2:2.2.1-2) unstable; urgency=low

  * Add the ${shlibs:Depends} substvar to the -dbg package's dependencies, to
    bring in libpciaccess0 (closes: #467215).
  * Only build on x86, this package doesn't make sense anywhere else.
  * The Vcs-* fields are now recognized by dpkg, so drop the XS- prefix.
  * configure: check for pciaccess 0.10 instead of 0.10.0 (closes: #470266).
  * Run dpkg-shlibdeps with --warnings=6.  Drivers reference symbols from
    /usr/bin/Xorg and other modules, and that's not a bug, so we want
    dpkg-shlibdeps to shut up about symbols it can't find.

 -- Julien Cristau <jcristau@debian.org>  Sun, 13 Apr 2008 02:10:18 +0200

xserver-xorg-video-intel (2:2.2.1-1) unstable; urgency=low

  [ Brice Goglin ]
  * New upstream release.
    + Fix some blinking pixels and unreadable text, closes: #465921.
    + Fix i830 stolen memory mask, closes: #464661.
    + Fix flickering on i855, closes: #443809, #435621.

  [ Julien Cristau ]
  * Build the intel_reg_dumper tool, and install it in the -dbg package.
    Add build-dependency on libpciaccess-dev.

 -- Brice Goglin <bgoglin@debian.org>  Sat, 23 Feb 2008 00:52:39 +0100

xserver-xorg-video-intel (2:2.2.0.90-3) unstable; urgency=low

  * Grab upstream commit 2c8f87be99957e0e18d8bcda46bd8706ab374253
    to unbreak FramebufferCompression on i965.

 -- Brice Goglin <bgoglin@debian.org>  Wed, 06 Feb 2008 21:29:44 +0100

xserver-xorg-video-intel (2:2.2.0.90-2) unstable; urgency=low

  * Actually pull the new upstream release candidate.

 -- Julien Cristau <jcristau@debian.org>  Wed, 06 Feb 2008 10:27:18 +0100

xserver-xorg-video-intel (2:2.2.0.90-1) unstable; urgency=low

  * New upstream stable branch release candidate. Fixes the following bugs:
    + server leaves pipe disabled at shutdown / vt switch ; closes: #453374
    + [855GM] need to use BIOS for mode information ; closes: #437066
    + Intel 2.2 crashes if playing a video then switching to another desktop;
      closes: #452372
    + [G33] 2.2.0 locks up X with error "First SDVO output reported failure to
      sync" ; closes: #451917

 -- David Nusinow <dnusinow@debian.org>  Tue, 05 Feb 2008 21:41:13 -0500

xserver-xorg-video-intel (2:2.2.0+git20080107-1) experimental; urgency=low

  * New upstream snapshot
    + Clarifies backlight abilities in the manpage. Closes: #451847
    + Will use a functional backlight on older chips now. Newer chips may
      benefit from configured to use something other than the legacy setting
      though. Closes: #451848
    + Fixes exa rendering corruption on some 855GM laptops. Closes: #439210
    + Xv window hidden for a little while no longer causes segfaults.
      Closes: #457587

 -- David Nusinow <dnusinow@debian.org>  Mon, 07 Jan 2008 22:41:51 -0500

xserver-xorg-video-intel (2:2.2.0-2) UNRELEASED; urgency=low

  * Conflict with 915resolution. This driver now handles all of this itself
    and better. Closes: #452803

 -- David Nusinow <dnusinow@debian.org>  Mon, 03 Dec 2007 21:35:07 -0500

xserver-xorg-video-intel (2:2.2.0-1) unstable; urgency=low

  * New upstream release.
    + Also pull bugfix commit 4a2b0f340357c4ca58dc9586fad1337b83966362.
    + Fix backlight problems on various chipsets,
      closes: #443111, #438969, #439744.
    + Fix some issues with high resolution, closes: #420840.
  * Add myself to Uploaders and remove Branden with his permission.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 16 Nov 2007 09:30:26 +0100

xserver-xorg-video-intel (2:2.1.99-1) experimental; urgency=low

  [ David Nusinow ]
  * Make -i810 arch: all again

  [ Julien Cristau ]
  * New upstream release candidate
    + fixes VT switch issues (closes: #431373, #436336)
    + fixes memory allocation issues (closes: #423416)
    + adds support for ch701x LVDS controllers (closes: #438650, #420350,
      #424952)

 -- Julien Cristau <jcristau@debian.org>  Sun, 11 Nov 2007 11:16:03 +0100

xserver-xorg-video-intel (2:2.1.1-5) unstable; urgency=low

  * Use the same architectures for the -dbg and i810 packages as -intel.
    This should allow it to transition to testing. Closes: #449228

 -- David Nusinow <dnusinow@debian.org>  Sun, 04 Nov 2007 09:10:31 -0500

xserver-xorg-video-intel (2:2.1.1-4) unstable; urgency=low

  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Sun, 16 Sep 2007 16:34:39 -0400

xserver-xorg-video-intel (2:2.1.1-3) experimental; urgency=low

  * Shorten the short description of the -dbg package a bit (thanks, Marc 'HE'
    Brockschmidt).
  * Rebuild for xserver 1.4.

 -- Julien Cristau <jcristau@debian.org>  Wed, 12 Sep 2007 11:21:49 +0200

xserver-xorg-video-intel (2:2.1.1-2) experimental; urgency=low

  [ Julien Cristau ]
  * Build against xserver 1.3.99.0.

  [ David Nusinow ]
  * Add 01_gen_pci_ids.diff.  This patch has the driver generate a list of pci
    id's that it supports and installs it where the X server can find it. The
    server with appropriate support will be able to automatically determine if
    the intel driver is the proper driver to load when no driver is specified
    in xorg.conf.

 -- Julien Cristau <jcristau@debian.org>  Sun, 19 Aug 2007 03:21:24 +0200

xserver-xorg-video-intel (2:2.1.1-1) unstable; urgency=low

  * New upstream release.
    + manpage typo fixed (closes: #432061).  Thanks, A Costa!
    + adds quirk for TV output on some 965-based laptops (closes: #434297).

 -- Julien Cristau <jcristau@debian.org>  Tue, 14 Aug 2007 12:48:02 +0200

xserver-xorg-video-intel (2:2.1.0-2) unstable; urgency=low

  [ Brice Goglin ]
  * Fix XvMC support for only i810 and i815 in the long description.
  * Build a xserver-xorg-video-intel-dbg package with debugging symbols.

  [ Julien Cristau ]
  * Add upstream URL in the copyright file (thanks, Loïc Minier).

 -- Julien Cristau <jcristau@debian.org>  Mon, 09 Jul 2007 14:25:25 +0200

xserver-xorg-video-intel (2:2.1.0-1) unstable; urgency=low

  * New upstream release.
  * Actually install the upstream README.

 -- Julien Cristau <jcristau@debian.org>  Tue, 03 Jul 2007 11:19:48 +0200

xserver-xorg-video-intel (2:2.0.0-6) experimental; urgency=low

  * Update to latest upstream (commit 1e2e3013).
  * Add myself to uploaders.

 -- Julien Cristau <jcristau@debian.org>  Mon, 02 Jul 2007 03:08:51 +0200

xserver-xorg-video-intel (2:2.0.0-5) experimental; urgency=low

  [ Drew Parsons ]
  * The upstream README file looks interesting, include it with docs.

  [ Julien Cristau ]
  * Pull in latest upstream git.

 -- Julien Cristau <jcristau@debian.org>  Fri, 22 Jun 2007 03:58:48 +0100

xserver-xorg-video-intel (2:2.0.0-4) experimental; urgency=low

  [ Julien Cristau ]
  * Update watch file (s/i810/intel/).

  [ Drew Parsons ]
  * Pull in latest upstream git (probably contains final Xv fix).
    Closes: #417860.

 -- Drew Parsons <dparsons@debian.org>  Tue, 05 Jun 2007 18:35:50 +1000

xserver-xorg-video-intel (2:2.0.0-3) experimental; urgency=low

  *  Pull in latest upstream git (updated Xv fix)

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 May 2007 12:20:45 +1000

xserver-xorg-video-intel (2:2.0.0-2) experimental; urgency=low

  [ Julien Cristau ]
  * Build xserver-xorg-video-i810 in binary-indep instead of binary-arch
    (closes: #420240).  Thanks, Aaron M. Ucko!
  * Mention i965 chipsets in the long description.

  [ Timo Aaltonen ]
  * Replaces/Conflicts: xserver-xorg-driver-i810.

  [ Drew Parsons ]
  * Pull in latest upstream git
    - Restores Xv video overlay. Closes: #417860, #420281
  * autoreconf

 -- Drew Parsons <dparsons@debian.org>  Sat, 26 May 2007 18:08:33 +1000

xserver-xorg-video-intel (2:2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Add XS-Vcs-*.
  * Bump build-dep on xserver-xorg-dev to >= 2:1.3.0.0.
  * Remove Fabio from Uploaders, with his permission.
  * Install the bug script in the xserver-xorg-video-intel dir instead of
    -i810.
  * Install the upstream changelog.
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Fri, 20 Apr 2007 08:54:20 +0200

xserver-xorg-video-intel (2:1.9.94-1) experimental; urgency=low

  * New upstream release candidate.

 -- Julien Cristau <jcristau@debian.org>  Tue, 03 Apr 2007 11:36:43 +0200

xserver-xorg-video-intel (2:1.9.93-1) experimental; urgency=low

  * New upstream release candidate.
    + bump build-dep on xserver-xorg-dev to >= 2:1.2.99.903.

 -- Julien Cristau <jcristau@debian.org>  Tue, 27 Mar 2007 08:25:39 +0200

xserver-xorg-video-intel (2:1.9.92-1) experimental; urgency=low

  * New upstream release candidate.
  * Build-depend on xserver-xorg-dev 1.3rc2.

 -- Julien Cristau <jcristau@debian.org>  Thu, 15 Mar 2007 14:38:06 +0100

xserver-xorg-video-intel (2:1.9.91-2) experimental; urgency=low

  * Revert commit c2c62559e702e7de1fa2ef309fa647ab13564dc3 "Move
    single mode setting code to X server."  Brings i830PipeFindClosestMode
    back into a consistent state.  Closes: #414612.
  * autoreconf and git-add Makefile.in files in ./src subdirectories.

 -- Drew Parsons <dparsons@debian.org>  Tue, 13 Mar 2007 22:49:18 +1100

xserver-xorg-video-intel (2:1.9.91-1) experimental; urgency=low

  * Bump build-dep on libdrm-dev to >= 2.2.  Thanks, Marc 'HE' Brockschmidt!
  * New upstream release candidate.
  * Rename from -i810 to -intel to follow upstream naming.
  * (Build-)Depend on a newer xserver.

 -- Julien Cristau <jcristau@debian.org>  Thu,  8 Mar 2007 18:55:05 +0100

xserver-xorg-video-i810 (2:1.7.4-1) experimental; urgency=low

  [ David Nusinow ]
  * New upstream version
  * Generate Provides: line automatically
  * Bump xserver-xorg-core build-depend to 2:1.2.0-6 to handle this properly

  [ Julien Cristau ]
  * Drop duplicate build dependency on libdrm-dev, so this really
    closes: #383918.
  * Add support for the armeb and armel architectures, thanks to Riku Voipio
    (closes: #408797).
  * Drop all our patches, applied upstream.
  * debian/rules clean needs to depend on xsfclean.
  * Generate the dependency on xserver-xorg-core automatically.

 -- David Nusinow <dnusinow@debian.org>  Sun,  4 Mar 2007 18:20:38 -0500

xserver-xorg-video-i810 (2:1.7.2-4) unstable; urgency=low

  [ Julien Cristau ]
  * Don't build-dep on libdrm-dev on hurd-i386, and don't try to install
    the libI810XvMC library there, as it isn't built without drm.  Thanks to
    Samuel Thibault for the patch! (closes: #383918)

  [ Drew Parsons ]
  * Apply patch 20-i915_bios.patch from upsteam (1.7.4) to help with faulty
    BIOSes (where VBE initialization failed). Closes: #382120.

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jan 2007 02:29:30 +1100

xserver-xorg-video-i810 (2:1.7.2-3) unstable; urgency=low

  * Build-Depends: quilt, needed to apply patches.
  * Replace the cvs source url in the long description with an XS-Vcs-Git
    control field and a reference to the xf86-video-intel module.
    Added a link to www.X.org.

 -- Drew Parsons <dparsons@debian.org>  Wed,  6 Dec 2006 12:52:18 +1100

xserver-xorg-video-i810 (2:1.7.2-2) unstable; urgency=low

  [ Julien Cristau ]
  * Add link to xserver-xorg-core bug script, so that bugreports contain
    the user's config and log files.
  * Bump dependency on xserver-xorg-core to >= 2:1.1.1-11, as previous
    versions don't have the bug script.

  [ Drew Parsons ]
  * Apply upstream patch 1-overlay_fix_lockup.patch (git commit
    e065324661ad08b3b359136f48090232f6138959, upstream bug #5774).
    Should remove remaining lockup problems in I830WaitLpRing().
    Closes: #272294.
  * While we're at it, apply upstream patch 11-xv_lockup.patch (git
    commit fbb376bd1a4daad4c86e349df98438989ce173f1, upstream bug
    #8594), fixing lockups related to Xv.  We'll have no lockup bugs
    in etch, dammit!  Closes: #397485.

 -- Drew Parsons <dparsons@debian.org>  Wed,  6 Dec 2006 11:50:10 +1100

xserver-xorg-video-i810 (2:1.7.2-1) unstable; urgency=low

  * New upstream version
    + Shipping the git log as part of our diff.gz rather than a separate patch
      since upstream didn't include an updated Changelog

 -- David Nusinow <dnusinow@debian.org>  Fri, 13 Oct 2006 14:33:20 -0400

xserver-xorg-video-i810 (2:1.6.5-4) UNRELEASED; urgency=low

  * Typo fix in man page. Closes: #364559.

 -- Drew Parsons <dparsons@debian.org>  Thu, 21 Sep 2006 23:21:14 +1000

xserver-xorg-video-i810 (2:1.6.5-3) unstable; urgency=low

  [ Steve Langasek ]
  * Upload to unstable

  [ Drew Parsons ]
  * Standards version 3.7.2.
  * Use debhelper 5.
  * Use dh_installman to install man pages.
  * Exclude .la from dh_install.

 -- David Nusinow <dnusinow@debian.org>  Mon, 18 Sep 2006 19:57:38 -0400

xserver-xorg-video-i810 (2:1.6.5-2) experimental; urgency=low

  [ Drew Parsons ]
  *  Provides: xserver-xorg-video-1.0 not xserver-xorg-video.

  [ David Nusinow ]
  * Bump xserver (build-)depends epochs to 2: to deal with botched
    server upload

 -- David Nusinow <dnusinow@debian.org>  Tue, 22 Aug 2006 23:46:32 +0000

xserver-xorg-video-i810 (2:1.6.5-1) experimental; urgency=low

  * New upstream release

 -- David Nusinow <dnusinow@debian.org>  Thu, 10 Aug 2006 22:53:34 +0000

xserver-xorg-video-i810 (2:1.6.4-1) experimental; urgency=low

  * New upstream release

 -- David Nusinow <dnusinow@debian.org>  Wed,  9 Aug 2006 22:37:24 +0000

xserver-xorg-video-i810 (2:1.6.3-1) experimental; urgency=low

  * New upstream release
  * Add x11proto-xinerama-dev to build-dep

 -- David Nusinow <dnusinow@debian.org>  Tue,  8 Aug 2006 22:01:43 +0000

xserver-xorg-video-i810 (2:1.6.1-2) experimental; urgency=low

  * Fix for botched upload. Identical to -1, which I built wrong.

 -- David Nusinow <dnusinow@debian.org>  Sun,  6 Aug 2006 18:37:45 +0000

xserver-xorg-video-i810 (2:1.6.1-1) experimental; urgency=low

  [ Andres Salomon ]
  * Test for obj-$(DEB_BUILD_GNU_TYPE) before creating it during build;
    idempotency fix.
  * Run dh_install w/ --list-missing.

  [ David Nusinow ]
  * New upstream version
  * Bump dependency on xserver-xorg-core to >= 1:1.1.1. Do the same thing for
    the build-dep on xserver-xorg-dev.

 -- David Nusinow <dnusinow@debian.org>  Sun,  6 Aug 2006 17:29:12 +0000

xserver-xorg-video-i810 (2:1.4.1.3-1) unstable; urgency=low

  * Roll back the version to what was released with 7.0. Stupid ABI
    incompatibilities. (closes: #359328)
  * Add call to dh_makeshlibs. Reorder dh_installdeb and dh_shlibdeps so that
    ldconfig is called during postinst. Thanks Justin Pryzby and Steve
    Langasek. (closes: #364012)

 -- David Nusinow <dnusinow@debian.org>  Sat, 22 Apr 2006 18:21:51 -0400

xserver-xorg-video-i810 (1:1.5.1.0-2) unstable; urgency=low

  * Upload to modular

 -- David Nusinow <dnusinow@debian.org>  Sun, 26 Mar 2006 20:25:40 -0500

xserver-xorg-video-i810 (1:1.5.1.0-1) experimental; urgency=low

  * New upstream release

 -- David Nusinow <dnusinow@debian.org>  Tue, 21 Mar 2006 22:40:04 -0500

xserver-xorg-video-i810 (1:1.4.1.3-3) experimental; urgency=low

  * Version build dependency on libxvmc-dev. Thanks John Hughes.
    (closes: #358165)

 -- David Nusinow <dnusinow@debian.org>  Tue, 21 Mar 2006 20:49:27 -0500

xserver-xorg-video-i810 (1:1.4.1.3-2) experimental; urgency=low

  * Don't build on sparc. Partial port of
    sparc/103_sparc_dont_build_useless_drivers.diff.

 -- David Nusinow <dnusinow@debian.org>  Sun,  5 Mar 2006 20:32:01 -0500

xserver-xorg-video-i810 (1:1.4.1.3-1) experimental; urgency=low

  * First upload to Debian
  * Change source package, package, and provides names to denote the
    type of driver and that they are for xserver-xorg

 -- David Nusinow <dnusinow@debian.org>  Fri, 13 Jan 2006 00:37:39 -0500

xserver-xorg-driver-i810 (1:1.4.1.3-0ubuntu1) dapper; urgency=low

  * New upstream release.
  * Add provides on xserver-xorg-driver.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed,  4 Jan 2006 19:57:22 +1100

xserver-xorg-driver-i810 (1:1.4.1.2-0ubuntu1) dapper; urgency=low

  * New upstream release.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 19 Dec 2005 09:06:03 +1100

xserver-xorg-driver-i810 (1:1.4.1.1-0ubuntu1) dapper; urgency=low

  * New upstream release.
  * Bump Build-Depends on libdrm-dev to >> 2.0.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 12 Dec 2005 13:20:11 +1100

xserver-xorg-driver-i810 (1:1.4.1-0ubuntu2) dapper; urgency=low

  * Add missing Build-Depends (x11proto-core-dev, x11proto-fonts-dev,
    x11proto-randr-dev, x11proto-render-dev, libdrm (>> 1.0.5),
    x11proto-xf86dri-dev).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon,  5 Dec 2005 12:54:24 +1100

xserver-xorg-driver-i810 (1:1.4.1-0ubuntu1) dapper; urgency=low

  * New upstream release.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue, 22 Nov 2005 13:30:52 +1100

xserver-xorg-driver-i810 (1:1.4.0.1-1) dapper; urgency=low

  * New upstream version.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 20 Oct 2005 13:37:40 +1000

xserver-xorg-driver-i810 (1:1.4.0-1) breezy; urgency=low

  * First xserver-xorg-driver-i810 release.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed,  6 Jul 2005 15:48:17 +1000
